Package com.sas.lsaf.clinical.tlf

## Class Tlf

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.clinical.tlf.TlfDescriptor
    - - com.sas.lsaf.clinical.tlf.Tlf

- All Implemented Interfaces:
    `Identifiable`, `AutoFlowLaunchable`, `java.io.Serializable`

      public class Tlf
      extends TlfDescriptor
      implements AutoFlowLaunchable

  The class that represents the definition of a clinical study TLF. It is a measure of event or outcome of an intervention being studied by a clinical trial. A TLF includes the definitions of Tables, Listings and Figures to include in a clinical study report.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Tlf​(java.lang.String name, java.lang.String identifier, boolean enableAutoFlow)` | Constructor.
    `Tlf​(java.lang.String name, java.lang.String identifier, int order, boolean enableAutoFlow)` | Constructor.
    `Tlf​(java.lang.String id, java.lang.String typeId, java.lang.String name, java.lang.String identifier, Identifiable parent, int order, int resultCount, java.util.List<AttributeValue> attributes, boolean enableAutoFlow)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `autoFlowEnabled()` | Gets whether a process flow can be automatically created from the source.
    `java.util.List<AttributeValue>` | `getAttributes()` | Gets the attributes of the source object from which a process flow is automatically created.
    `AutoFlowType` | `getAutoFlowType()` | Gets the type of the source object from which a process flow is automatically created.
    `int` | `getResultCount()` | Gets the number of analysis results within the TLF.
    `void` | `setAttributes​(java.util.List<AttributeValue> attributes)` | Sets the attributes for the TLF.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.clinical.tlf.TlfDescriptor

      `equals, getIdentifier, getName, getOrder, getParent, hashCode, isEnableAutoFlow, setEnableAutoFlow, setIdentifier, setName`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sas.lsaf.workflow.autoflow.AutoFlowLaunchable

      `getIdentifier, getName`

    - ### Methods inherited from interface com.sas.lsaf.core.Identifiable

      `getId, getTypeId`

- - ### Constructor Detail

    - #### Tlf

          public Tlf​(java.lang.String id,
                     java.lang.String typeId,
                     java.lang.String name,
                     java.lang.String identifier,
                     Identifiable parent,
                     int order,
                     int resultCount,
                     java.util.List<AttributeValue> attributes,
                     boolean enableAutoFlow)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the Tlf's returned by the API.
      Parameters:
        `id` - The identifier of the TLF.
        `typeId` - The type identifier of the TLF.
        `name` - The name of the TLF.
        `identifier` - The identifier attribute of the TLF.
        `parent` - The parent of the TLF.
        `order` - The order of the TLF within the parent.
        `resultCount` - The number of analysis results within the TLF.
        `attributes` - The attributes as defined by the model for a TLF.
        `enableAutoFlow` - Indicates whether the TLF is enabled for automatic process flow creation.

    - #### Tlf

          public Tlf​(java.lang.String name,
                     java.lang.String identifier,
                     boolean enableAutoFlow)

      Constructor.
      Parameters:
        `name` - The name of the TLF.
        `identifier` - The identifier attribute of the TLF.
        `enableAutoFlow` - Indicates whether the TLF is enabled for automatic process flow creation.

    - #### Tlf

          public Tlf​(java.lang.String name,
                     java.lang.String identifier,
                     int order,
                     boolean enableAutoFlow)

      Constructor.
      Parameters:
        `name` - The name of the TLF.
        `identifier` - The identifier attribute of the TLF.
        `enableAutoFlow` - Indicates whether the TLF is enabled for automatic process flow creation.

  - ### Method Detail

    - #### getAutoFlowType

          public AutoFlowType getAutoFlowType()

      Description copied from interface: `AutoFlowLaunchable`
      Gets the type of the source object from which a process flow is automatically created.
      Specified by:
        `getAutoFlowType` in interface `AutoFlowLaunchable`
      Returns:
        The type.

    - #### autoFlowEnabled

          public boolean autoFlowEnabled()

      Description copied from interface: `AutoFlowLaunchable`
      Gets whether a process flow can be automatically created from the source.
      Specified by:
        `autoFlowEnabled` in interface `AutoFlowLaunchable`
      Returns:
        Whether a process flow can be automatically.

    - #### getAttributes

          public java.util.List<AttributeValue> getAttributes()

      Description copied from interface: `AutoFlowLaunchable`
      Gets the attributes of the source object from which a process flow is automatically created.
      Specified by:
        `getAttributes` in interface `AutoFlowLaunchable`
      Returns:
        The attributes.

    - #### getResultCount

          public int getResultCount()

      Gets the number of analysis results within the TLF.
      Returns:
        The number of analysis results.

    - #### setAttributes

          public void setAttributes​(java.util.List<AttributeValue> attributes)

      Sets the attributes for the TLF.
      Parameters:
        `attributes` - The attributes of the TLF.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `TlfDescriptor`